
#include <AxisG2Selector.h>



namespace AxisG2Selector_ns
{


bool AxisG2Selector::checkTargets(vector<Target>& trgs, string &msg){

        vector<Target>::iterator it_trgs;
        vector<Target>::iterator it1_trgs;
        vector<target_source_t>::iterator it_src;
        vector<target_source_t> trg_src;

	#ifdef _DBG_CHECK_TRGTS
          {
                cout << endl;
                cout << "checkTargets(): DUMPING targets: " << endl;
                for (it_trgs = trgs.begin(); it_trgs != trgs.end(); it_trgs++){
                        cout << it_trgs->name() << " ";
                        cout << Tango::DevStateName[it_trgs->stateOnTarget()] << " ";
                        {
                                trg_src = it_trgs->trg_src();
                                for (it_src = trg_src.begin(); it_src != trg_src.end(); it_src++){
                                        cout << "  |  ";
                                        cout << "[" << it_src->source_idx << "] ";
                                        cout << sourcesIdx2Name(it_src->source_idx) << " ";
                                        cout << it_src->positionValue << " " << it_src->positionDelta << " ";
                                }
                        };
                        cout << endl;
                };
          }
        #endif /* _DBG_CHECK_TRGTS */


	bool result = true;
	string ss("");

        for (it_trgs = trgs.begin(); it_trgs != (trgs.end()-1); it_trgs++){
		it1_trgs = it_trgs + 1;
        	for (it1_trgs; it1_trgs != trgs.end(); it1_trgs++){

				ss = it_trgs->name();
				ss.append(" & ");
				ss += it1_trgs->name();
				ss.append(" ");
				
			if ( *it_trgs != *it1_trgs ) {
				ss.append("DIFFER!");
				#ifdef _DBG_CHECK_TRGTS
					cout << ss << endl;
        			#endif /* _DBG_CHECK_TRGTS */
			} else {
				ss.append("EQUAL!");
				#ifdef _DBG_CHECK_TRGTS
					cout << ss << endl;
        			#endif /* _DBG_CHECK_TRGTS */
				msg = ss;
				result = false;
				goto end;
			}
		}
	}

  end:
	return result;
}


} //namespace
