#include <AxisG2Selector.h>


namespace AxisG2Selector_ns
{

Tango::DevState combineState(Tango::DevState old, Tango::DevState now){
	Tango::DevState s = old;
		switch(s){
			case Tango::FAULT:
			case Tango::ALARM:
			case Tango::DISABLE:
			case Tango::MOVING:
				break;
			case Tango::OFF:
			case Tango::ON:
			case Tango::CLOSE:
			case Tango::OPEN:
			case Tango::INSERT:
			case Tango::EXTRACT:
			case Tango::STANDBY:
			case Tango::INIT:
			case Tango::RUNNING:
			case Tango::UNKNOWN:
				s = now;
				break;
		};
		return s;
}

} //	namespace
