#ifndef __TYPES_H__
#define __TYPES_H__
#include <AxisG2Selector.h>


namespace AxisG2Selector_ns
{


/*
typedef struct {
        string nickName;
        string dev;
        string attr;
        string stopcmd;
        string initcmd;
        int index;
        bool is_spectrum;
        string trueValue;
        Tango::DeviceProxy *dp;
        Tango::DevState state;
        bool configured;
        int data_type;
        unsigned long backoff;
        long tmo;
	long stop_request_id;
	long axisinit_request_id;
} sourceDev2_t;
*/

typedef struct {
	int source_idx;
	Tango::AttrQuality quality;
	double val;
} source_state_dval_t;


typedef struct {
	int source_idx;
	double positionValue;
	double positionDelta;
} target_source_t;


const char * const AttrQualityName[] = { "ATTR_VALID", "ATTR_INVALID", "ATTR_ALARM", "ATTR_CHANGING", "ATTR_WARNING" };

typedef enum {
	VUOTO,
	DISGIUNTO,
	INTERSECATO
} range_t;

typedef enum {
        MODE_NULL,
        MODE_ALL,
        MODE_SEQ
} TrajectoryMode_t;
	
} //	namespace
#endif /* __TYPES_H__ */
